## libdisorder 0.0.2

=== src/Makefile ===
LDFLAGS=-L../lib -L/usr/lib
INCLUDES=-I/usr/include -I../include
LIBS=-ldisorder -lm
#OPTS=-Wall -g -pg
OPTS=-Wall -g
TESTOUT=../test/testexec
TESTSRC=../test/test.c
TOOLOUT=../tool/ropy
TOOLSRC=../tool/ropy.c

all:	disorder library test tool

library: libdisorder.a

libdisorder.a: disorder.o
	ar rc $@ disorder.o
	mkdir -p ../lib
	mv libdisorder.a ../lib

disorder: disorder.c ../include/disorder.h
	gcc $(OPTS) -c disorder.c

test:	../test/test.c
	gcc $(OPTS) $(LDFLAGS) $(INCLUDES) -o $(TESTOUT) $(TESTSRC) $(LIBS)

tool:	../tool/ropy.c
	gcc $(OPTS) $(LDFLAGS) $(INCLUDES) -o $(TOOLOUT) $(TOOLSRC) $(LIBS)

clean:
	@/bin/rm -f *~ *.o *.a $(TESTOUT) $(TOOLOUT)
	@/bin/rm -f ../test/*~
	@/bin/rm -f ../tool/*~
	@/bin/rm -Rf ../test/testexec.dSYM/
	@/bin/rm -Rf ../tool/ropy.dSYM/
	@/bin/rm -f ../include/*~
	@/bin/rm -f ../lib/*.a
	@/bin/rm -f ../*~

=== debian/changelog ===
libdisorder (0.0.2-1) unstable; urgency=medium

  * Initial release (Closes: #828787)

 -- Andreas Tille <tille@debian.org>  Tue, 28 Jun 2016 08:51:18 +0200

=== debian/control ===
Source: libdisorder
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               d-shlibs
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/libdisorder.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/libdisorder.git
Homepage: https://github.com/locasto/libdisorder

Package: libdisorder0
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: library for entropy measurement of byte streams
 This library provides a function to calculate the Shannon index (H)
 of byte streams.
 .
 This package contains the dynamic library.

Package: libdisorder-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libdisorder0 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: library for entropy measurement of byte streams (devel)
 This library provides a function to calculate the Shannon index (H)
 of byte streams.
 .
 This is the development package containing the statically linked
 library and the header files.

Package: libdisorder-tools
Architecture: any
Section: misc
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: entropy measurement of byte streams
 This package provides a tool to calculate the Shannon index (H)
 of the bytes in a file.
 .
 This package contains a small tool to demonstrate the functionality
 of the library.

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

DEBPKGNAME     := $(shell dpkg-parsechangelog | awk '/^Source:/ {print $$2}')

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with autoreconf

override_dh_install:
	dh_install
	d-shlibmove --commit \
		    --multiarch \
		    --devunversioned \
		    --exclude-la \
		    --movedev debian/tmp/usr/include/* usr/include \
		    debian/tmp/usr/lib/*/$(DEBPKGNAME).so

get-orig-source:
	. debian/get-orig-source

## libdisorder 0.0.2%2Bgit20130809.8062ee1

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: libdisorder
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
-               dh-autoreconf,
-               d-shlibs
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/libdisorder.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/libdisorder.git
+Build-Depends: debhelper-compat (= 13),
+               d-shlibs (>= 0.100)
+Standards-Version: 4.6.0
+Vcs-Browser: https://salsa.debian.org/med-team/libdisorder
+Vcs-Git: https://salsa.debian.org/med-team/libdisorder.git
 Homepage: https://github.com/locasto/libdisorder
+Rules-Requires-Root: no
 
 Package: libdisorder0
 Architecture: any

## libdisorder 0.0.2+git20130809.8062ee1

=== debian/changelog ===
libdisorder (0.0.2+git20130809.8062ee1-2) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Remove unneeded files to satisfy dh_missing

 -- Andreas Tille <tille@debian.org>  Fri, 30 Oct 2020 11:28:41 +0100

libdisorder (0.0.2+git20130809.8062ee1-1) unstable; urgency=medium

  * Create watch file using mode=git
  * Do not parse d/changelog
  * Remove unneeded get-orig-source target
  * Standards-Version: 4.1.4
  * Point Vcs fields to salsa.debian.org
  * debhelper 11
  * Add override for d-shlibs to build on kfreebsd as well

 -- Andreas Tille <tille@debian.org>  Sun, 15 Apr 2018 11:20:27 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: libdisorder
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               d-shlibs (>= 0.100)
-Standards-Version: 4.6.0
+               d-shlibs
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/libdisorder
 Vcs-Git: https://salsa.debian.org/med-team/libdisorder.git
 Homepage: https://github.com/locasto/libdisorder

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@  --sourcedirectory=code

override_dh_install:
	dh_install
	d-shlibmove --commit \
		    --multiarch \
		    --devunversioned \
		    --exclude-la \
		    --override s/ld-kfreebsd-x86-64-1-dev// \
		    --movedev debian/tmp/usr/include/* usr/include \
		    debian/tmp/usr/lib/*/lib*.so
	find debian -name "lib*.la" -delete
	# Upstream installs some strange empty manpage which irritates dh_missing - just delete it
	find debian -name "*.3" -empty -delete

=== debian/watch ===
version=4

opts="mode=git,pretty=0.0.2+git%cd.%h" \
    https://github.com/locasto/libdisorder.git HEAD

# Issue asking for release tags:
# https://github.com/locasto/libdisorder/issues/4
